<template>
  <client-only v-if="products">
    <carousel v-bind="options">
      <slide
        v-for="(product, index) in products"
        :key="index"
        class="py-6 bg-secondary-100"
      >
        <Teaser :product="product" :index="index" />
      </slide>
    </carousel>
  </client-only>
</template>

<script>
import Teaser from '~/components/product/Teaser'

export default {
  components: {
    Teaser,
  },
  props: {
    products: {
      type: Array,
      required: true,
    },
    options: {
      type: Object,
      required: false,
      default: () => {
        return {
          loop: true,
          perPage: 1,
          perPageCustom: [
            [480, 1],
            [540, 2],
            [768, 3],
            [1024, 4],
          ],
          autoplay: true,
          autoplayTimeout: 3000,
          navigationEnabled: true,
          paginationEnabled: false,
          navigationNextLabel:
            '<i class="bx bxs-chevron-right category-navigation" />',
          navigationPrevLabel:
            '<i class="bx bxs-chevron-left category-navigation" />',
        }
      },
    },
  },
}
</script>
